% The following files are MATLAB scripts that go with the article
% "Approaches to implementing Monte Carlo methods in MATLAB" written by
% Sri Krishnamurthy,CFA and Jorge Paloschi,PHD of MathWorks Consulting 
% Services in the September 2011 article of Wilmott Magazine
% (http://www.wilmott.com/magazine.cfm)
% 
% Copyright 2011 MathWorks, Inc.
% 
% PriceArithmeticAsianOption.m : Script to price an American Asian Option

% PriceArithmeticAsianOptionFin.m : Script to price an American Asian 
% Option using the Financial toolbox functions

% PriceArithmeticAsianOptionPCT.m : Script to price an American Asian 
% Option using PCT 

% PriceArithmeticAsianOptionQuasi.m : Script to price an American Asian 
% Option using Quasi Random Number generators

% PriceArithmeticAsianOptionSDE.m : Script to price an American Asian 
% Option using SDE objects

% PriceArithmeticAsianOptionSDEAntiThetic.m : Script to price an American 
% Asian Option using SDE objects and Antithetic sampling

% PriceArithmeticAsianOptionSDESolution.m : Script to price an American 
% Asian Option using SDE objects and SimBySolution method

% PriceArithmeticAsianOptionSDEZ.m : Script to price an American Asian 
% Option using SDE objects and Z parameter

% PriceArithmeticAsianOptionV.m : Script to price an American Asian 
% Option (Vectorized version)

% TimingScriptQuasi.m : Script to test the performance of pricing an 
% American Asian Option using Quasi Random Number generators

% TimingScriptSDE.m : Script to test the performance of pricing an 
% American Asian Option using SDE objects

% TimingScriptComparison.m :  Script to compare the performance of 
% pricing an American Asian Option
% 